Skip to main content
`Ctrl`+`K`

# PetscLogStateClassGetInfo

Get the registration information of an class

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateClassGetInfo(PetscLogState state, PetscLogClass clss, PetscLogClassInfo *info)

Not collective

## Input Parameters

- state - a `PetscLogState`

- clss - a registered `PetscLogClass`

## Output Parameter

- info - the `PetscLogClassInfo` of the class will be copied into info

## See Also

Profiling, `PetscLogState`, `PetscLogStateClassRegister()`, `PetscLogStateGetClassFromName()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages